com.io7m.jpra.compiler.core.resolver

## Enum JPRAResolverErrorCode

- java.lang.Object
- - java.lang.Enum<JPRAResolverErrorCode>
  - - com.io7m.jpra.compiler.core.resolver.JPRAResolverErrorCode

- All Implemented Interfaces:
    Serializable, Comparable<JPRAResolverErrorCode>

      public enum JPRAResolverErrorCode
      extends Enum<JPRAResolverErrorCode>

  Name resolver error codes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXPECTED_PACKAGE` A package was expected but not provided before EOF.
    `NO_CURRENT_PACKAGE` A package must be in the process of being declared to perform this action.
    `PACKAGE_DUPLICATE` A duplicate package was specified.
    `PACKAGE_IMPORT_CONFLICT` An imported package conflicts with an existing import.
    `PACKAGE_LOADING_ERROR` A package could not be loaded.
    `PACKAGE_NESTED` Nested packages are not allowed.
    `PACKAGE_NONEXISTENT` An attempt was made to import a nonexistent package.
    `PACKAGE_REFERENCE_NONEXISTENT` A reference was made using a nonexistent package name.
    `TYPE_DUPLICATE` A duplicate type was specified.
    `TYPE_NONEXISTENT` A reference was made to a nonexistent type.
    `UNEXPECTED_EOF` Unexpected encountered EOF.
    `UNEXPECTED_PACKAGE` An unexpected package was specified.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JPRAResolverErrorCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JPRAResolverErrorCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_CURRENT_PACKAGE

          public static final JPRAResolverErrorCode NO_CURRENT_PACKAGE

      A package must be in the process of being declared to perform this action.

    - #### PACKAGE_NESTED

          public static final JPRAResolverErrorCode PACKAGE_NESTED

      Nested packages are not allowed.

    - #### PACKAGE_IMPORT_CONFLICT

          public static final JPRAResolverErrorCode PACKAGE_IMPORT_CONFLICT

      An imported package conflicts with an existing import.

    - #### TYPE_DUPLICATE

          public static final JPRAResolverErrorCode TYPE_DUPLICATE

      A duplicate type was specified.

    - #### PACKAGE_NONEXISTENT

          public static final JPRAResolverErrorCode PACKAGE_NONEXISTENT

      An attempt was made to import a nonexistent package.

    - #### PACKAGE_LOADING_ERROR

          public static final JPRAResolverErrorCode PACKAGE_LOADING_ERROR

      A package could not be loaded.

    - #### PACKAGE_REFERENCE_NONEXISTENT

          public static final JPRAResolverErrorCode PACKAGE_REFERENCE_NONEXISTENT

      A reference was made using a nonexistent package name.

    - #### TYPE_NONEXISTENT

          public static final JPRAResolverErrorCode TYPE_NONEXISTENT

      A reference was made to a nonexistent type.

    - #### UNEXPECTED_EOF

          public static final JPRAResolverErrorCode UNEXPECTED_EOF

      Unexpected encountered EOF.

    - #### UNEXPECTED_PACKAGE

          public static final JPRAResolverErrorCode UNEXPECTED_PACKAGE

      An unexpected package was specified.

    - #### EXPECTED_PACKAGE

          public static final JPRAResolverErrorCode EXPECTED_PACKAGE

      A package was expected but not provided before EOF.

    - #### PACKAGE_DUPLICATE

          public static final JPRAResolverErrorCode PACKAGE_DUPLICATE

      A duplicate package was specified.

  - ### Method Detail

    - #### values

          public static JPRAResolverErrorCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JPRAResolverErrorCode c : JPRAResolverErrorCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JPRAResolverErrorCode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 <code@io7m.com> http://io7m.com